package org.chenyang.http.impl.conn.tsccm;

import org.chenyang.http.conn.ConnectionPoolTimeoutException;
import java.util.concurrent.TimeUnit;

/** @deprecated */
@Deprecated
public interface PoolEntryRequest {
   BasicPoolEntry getPoolEntry(long var1, TimeUnit var3) throws InterruptedException, ConnectionPoolTimeoutException;

   void abortRequest();
}
